/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-02-03
 * 描述            ：公差标准表(从表)
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Api.Qms.vo;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;

public class ComMscStdSpecC extends BaseVO implements Serializable {
	/** 
	 * 公差标准索引号
	 */ 
	private String sic;
	public String  getSic() {
		return this.sic;
	}
	public void setSic(String sic) {
		this.sic = sic;
	}

	/** 
	 * 序号
	 */ 
	private Long index_seq;
	public Long  getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Long index_seq) {
		this.index_seq = index_seq;
	}

	/** 
	 * 公差项代码(4040)
	 */ 
	private String bias_code;
	public String  getBias_code() {
		return this.bias_code;
	}
	public void setBias_code(String bias_code) {
		this.bias_code = bias_code;
	}

	/** 
	 * 公差项名称
	 */ 
	private String bias_name;
	public String  getBias_name() {
		return this.bias_name;
	}
	public void setBias_name(String bias_name) {
		this.bias_name = bias_name;
	}

	/** 精度等级(4041) */
	@Column("LV_CODE")
	private String lv_code;
	
	/** 精度等级*/
	@Column("LV_DESC")
	private String lv_desc;

	/** 
	 * 公差约束项一代码(4003)
	 */ 
	private String bias_code_z;
	public String  getBias_code_z() {
		return this.bias_code_z;
	}
	public void setBias_code_z(String bias_code_z) {
		this.bias_code_z = bias_code_z;
	}

	/** 
	 * 公差约束项一名称
	 */ 
	private String bias_name_z;
	public String  getBias_name_z() {
		return this.bias_name_z;
	}
	public void setBias_name_z(String bias_name_z) {
		this.bias_name_z = bias_name_z;
	}

	/** 
	 * 公差约束项一下限符号
	 */ 
	private String zmin_sign;
	public String  getZmin_sign() {
		return this.zmin_sign;
	}
	public void setZmin_sign(String zmin_sign) {
		this.zmin_sign = zmin_sign;
	}

	/** 
	 * 公差约束项一下限值
	 */ 
	private String zmin;
	public String  getZmin() {
		return this.zmin;
	}
	public void setZmin(String zmin) {
		this.zmin = zmin;
	}

	/** 
	 * 公差约束项一上限符号
	 */ 
	private String zmax_sign;
	public String  getZmax_sign() {
		return this.zmax_sign;
	}
	public void setZmax_sign(String zmax_sign) {
		this.zmax_sign = zmax_sign;
	}

	/** 
	 * 公差约束项一上限值
	 */ 
	private String zmax;
	public String  getZmax() {
		return this.zmax;
	}
	public void setZmax(String zmax) {
		this.zmax = zmax;
	}

	/** 
	 * 公差约束项二代码(4003)
	 */ 
	private String bias_code_c;
	public String  getBias_code_c() {
		return this.bias_code_c;
	}
	public void setBias_code_c(String bias_code_c) {
		this.bias_code_c = bias_code_c;
	}

	/** 
	 * 公差约束项二名称
	 */ 
	private String bias_name_c;
	public String  getBias_name_c() {
		return this.bias_name_c;
	}
	public void setBias_name_c(String bias_name_c) {
		this.bias_name_c = bias_name_c;
	}

	/** 
	 * 公差约束项二下限符号
	 */ 
	private String cmin_sign;
	public String  getCmin_sign() {
		return this.cmin_sign;
	}
	public void setCmin_sign(String cmin_sign) {
		this.cmin_sign = cmin_sign;
	}

	/** 
	 * 公差约束项二下限值
	 */ 
	private String cmin;
	public String  getCmin() {
		return this.cmin;
	}
	public void setCmin(String cmin) {
		this.cmin = cmin;
	}

	/** 
	 * 公差约束项二上限符号
	 */ 
	private String cmax_sign;
	public String  getCmax_sign() {
		return this.cmax_sign;
	}
	public void setCmax_sign(String cmax_sign) {
		this.cmax_sign = cmax_sign;
	}

	/** 
	 * 公差约束项二上限值
	 */ 
	private String cmax;
	public String  getCmax() {
		return this.cmax;
	}
	public void setCmax(String cmax) {
		this.cmax = cmax;
	}

	/** 
	 * 公差约束项三代码(4003)
	 */ 
	private String bias_code_s;
	public String  getBias_code_s() {
		return this.bias_code_s;
	}
	public void setBias_code_s(String bias_code_s) {
		this.bias_code_s = bias_code_s;
	}

	/** 
	 * 公差约束项三名称
	 */ 
	private String bias_name_s;
	public String  getBias_name_s() {
		return this.bias_name_s;
	}
	public void setBias_name_s(String bias_name_s) {
		this.bias_name_s = bias_name_s;
	}

	/** 
	 * 公差约束项三下限符号
	 */ 
	private String smin_sign;
	public String  getSmin_sign() {
		return this.smin_sign;
	}
	public void setSmin_sign(String smin_sign) {
		this.smin_sign = smin_sign;
	}

	/** 
	 * 公差约束项三下限值
	 */ 
	private String smin;
	public String  getSmin() {
		return this.smin;
	}
	public void setSmin(String smin) {
		this.smin = smin;
	}

	/** 
	 * 公差约束项三上限符号
	 */ 
	private String smax_sign;
	public String  getSmax_sign() {
		return this.smax_sign;
	}
	public void setSmax_sign(String smax_sign) {
		this.smax_sign = smax_sign;
	}

	/** 
	 * 公差约束项三上限值
	 */ 
	private String smax;
	public String  getSmax() {
		return this.smax;
	}
	public void setSmax(String smax) {
		this.smax = smax;
	}

	/** 
	 * 是否必检项()1:是，0：否
	 */ 
	private String ischeck;
	public String  getIscheck() {
		return this.ischeck;
	}
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	/** 
	 * 标准负值(mm)
	 */ 
	private String std_min_val;
	public String  getStd_min_val() {
		return this.std_min_val;
	}
	public void setStd_min_val(String std_min_val) {
		this.std_min_val = std_min_val;
	}

	/** 
	 * 标准正值(mm)
	 */ 
	private String std_max_val;
	public String  getStd_max_val() {
		return this.std_max_val;
	}
	public void setStd_max_val(String std_max_val) {
		this.std_max_val = std_max_val;
	}

	/** 
	 * 标准负值(in)
	 */ 
	private String std_min_in;
	public String  getStd_min_in() {
		return this.std_min_in;
	}
	public void setStd_min_in(String std_min_in) {
		this.std_min_in = std_min_in;
	}

	/** 
	 * 标准正值(in)
	 */ 
	private String std_max_in;
	public String  getStd_max_in() {
		return this.std_max_in;
	}
	public void setStd_max_in(String std_max_in) {
		this.std_max_in = std_max_in;
	}

	/** 
	 * 标准负值(%)
	 */ 
	private String std_min_percent;
	public String  getStd_min_percent() {
		return this.std_min_percent;
	}
	public void setStd_min_percent(String std_min_percent) {
		this.std_min_percent = std_min_percent;
	}

	/** 
	 * 标准正值(%)
	 */ 
	private String std_max_percent;
	public String  getStd_max_percent() {
		return this.std_max_percent;
	}
	public void setStd_max_percent(String std_max_percent) {
		this.std_max_percent = std_max_percent;
	}

	/** 
	 * 标准公式负值(mm)
	 */ 
	private String std_min_formula;
	public String  getStd_min_formula() {
		return this.std_min_formula;
	}
	public void setStd_min_formula(String std_min_formula) {
		this.std_min_formula = std_min_formula;
	}

	/** 
	 * 标准公式正值(mm)
	 */ 
	private String std_max_formula;
	public String  getStd_max_formula() {
		return this.std_max_formula;
	}
	public void setStd_max_formula(String std_max_formula) {
		this.std_max_formula = std_max_formula;
	}

	/** 
	 * 取小值
	 */ 
	private String std_min_formula_v;
	public String  getStd_min_formula_v() {
		return this.std_min_formula_v;
	}
	public void setStd_min_formula_v(String std_min_formula_v) {
		this.std_min_formula_v = std_min_formula_v;
	}

	/** 
	 * 取大值
	 */ 
	private String std_max_formula_v;
	public String  getStd_max_formula_v() {
		return this.std_max_formula_v;
	}
	public void setStd_max_formula_v(String std_max_formula_v) {
		this.std_max_formula_v = std_max_formula_v;
	}

	/** 
	 * 标准备注
	 */ 
	private String stdmemo;
	public String  getStdmemo() {
		return this.stdmemo;
	}
	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	/** 
	 * 创建人
	 */ 
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 分组索引号(同一分组的为多选一项)
	 */ 
	private String group_seq;
	public String  getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}
	public String getLv_code() {
		return lv_code;
	}
	public void setLv_code(String lv_code) {
		this.lv_code = lv_code;
	}
	public String getLv_desc() {
		return lv_desc;
	}
	public void setLv_desc(String lv_desc) {
		this.lv_desc = lv_desc;
	}

}
